# Basilisp Kernel for Jupyter

Welcome to the Basilisp Kernel for Jupyter! This kernel allows you to run Basilisp code directly in your Jupyter notebooks.

Basilisp is a dialect Lisp compatible with Clojure, implemented in Python, that brings the expressiveness of Lisp to the python community. With the Basilisp Kernel, you can combine Lisp's powerful macro system with the extensive ecosystem of Python's scientific computing tools.

## Features

- Full integration with Jupyter Notebook and JupyterLab
- Enhanced autocompletion features
- Ability to use Basilisp's macros and special forms in notebooks
- Seamless interoperability with Python libraries

## Installation

Ensure you have Jupyter installed. If not, install it using pip:

```shell
pip install jupyter

```

To install the Basilisp Kernel, run:

```shell
pip install basilisp-kernel
```

## Usage

Start your Jupyter notebook server:

```shell
jupyter notebook
```

In the Jupyter interface, select the Basilisp kernel when creating a new notebook.


## Documentation

For full documentation on Basilisp, visit [Basilisp Documentation](https://basilisp.readthedocs.io/en/latest/).

## Examples

This project includes a series of Jupyter notebooks that demonstrate various features and capabilities. You can find these notebooks in the [notebooks](notebooks) directory of this repository.

## Acknowledgments

This kernel was developed based on the [echo_kernel](https://github.com/jupyter/echo_kernel) as a starting point.

